Bug 1659095 - CVE-2018-16868 gnutls: Bleichenbacher-like side channel leakage in PKCS#1 v1.5 verification and padding oracle verification [fedora-all]
Summary: CVE-2018-16868 gnutls: Bleichenbacher-like side channel leakage in PKCS#1 v1....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnutls
Version: 28
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Anderson Sasaki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-16868
TreeView+ depends on / blocked
 
Reported: 2018-12-13 14:55 UTC by Nikos Mavrogiannopoulos
Modified: 2019-01-15 01:53 UTC (History)
5 users (show)

Fixed In Version: gnutls-3.6.5-1.fc28 gnutls-3.6.5-2.fc28
Doc Type: Release Note
Doc Text:
Clone Of: 1655389
Environment:
Last Closed: 2019-01-11 00:16:29 UTC


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2018-12-13 14:55:18 UTC
+++ This bug was initially created as a clone of Bug #1655389 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

--- Additional comment from Huzaifa S. Sidhpurwala on 2018-12-03 04:52:09 UTC ---

Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1654929,1655389

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

--- Additional comment from Nikos Mavrogiannopoulos on 2018-12-03 07:41:56 UTC ---

This is fixed in rawhide only with gnutls-3.6.4-5.fc30

--- Additional comment from Fedora Update System on 2018-12-13 12:23:03 UTC ---

gnutls-3.6.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-79f7540a1e

--- Additional comment from Fedora Update System on 2018-12-13 12:23:08 UTC ---

gnutls-3.6.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-79f7540a1e

Comment 1 Fedora Update System 2019-01-02 12:57:03 UTC
gnutls-3.6.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-24dc022a51

Comment 2 Fedora Update System 2019-01-03 04:00:29 UTC
gnutls-3.6.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-24dc022a51

Comment 3 Fedora Update System 2019-01-11 00:16:29 UTC
gnutls-3.6.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2019-01-11 17:40:03 UTC
gnutls-3.6.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1a0d4443f8

Comment 5 Fedora Update System 2019-01-12 02:35:35 UTC
gnutls-3.6.5-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1a0d4443f8

Comment 6 Fedora Update System 2019-01-15 01:53:31 UTC
gnutls-3.6.5-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.